List Parts (POST)
Lists a collection of parts.
Required scopes:
Depends on the object type in the id field:
| type | required scope |
|---|---|
| capability | capability:read OR capability:write OR capability:all |
| enhancement | enhancement:read OR enhancement:write OR enhancement:all |
| feature | feature:read OR feature:write OR feature:all |
| product | product:read OR product:write OR product:all |
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
Filters for parts of the provided type(s).
Filters for parts created by any of these users.
Provides ways to specify date ranges on objects.
The cursor to resume iteration from. If not provided, then iteration starts from the beginning.
textFilters for custom fields.
The maximum number of parts to return. The default is '50'.
int32The iteration mode to use. If "after", then entries after the provided cursor will be returned, or if no cursor is provided, then from the beginning. If "before", then entries before the provided cursor will be returned, or if no cursor is provided, then from the end. Entries will always be returned in the specified sort-by order.
"after" | "before"Filters for parts modified by any of these users.
Provides ways to specify date ranges on objects.
Filters for parts of the provided name(s).
Filters for parts owned by any of these users.
The filter for specifying parent part.
Fields to sort the parts by and the direction to sort them.
Filters for subtypes.
Filters for part with any of the provided tags.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/parts.list" \ -H "Content-Type: application/json" \ -d '{}'{
"next_cursor": "string",
"parts": [
{
"type": "capability",
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"artifacts": [
{
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
}
],
"custom_fields": {},
"custom_schema_fragments": [
"don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id"
],
"description": "string",
"name": "string",
"owned_by": [
{
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
}
],
"stock_schema_fragment": "don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id",
"subtype": "string",
"sync_metadata": {
"external_record_id": "string",
"external_record_type": "string",
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"last_sync_out": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
},
"tags": [
{
"tag": {
"display_id": "string",
"id": "string",
"name": "string",
"style_new": {
"color": "string"
},
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
},
"value": "string"
}
]
}
],
"prev_cursor": "string"
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Get Part GET
Gets a [part's](https://devrev.ai/docs/product/parts) information. **Required scopes:** Depends on the object type in the `id` field: | type | required scope | |---|---| | capability | `capability:read` OR `capability:write` OR `capability:all` | | enhancement | `enhancement:read` OR `enhancement:write` OR `enhancement:all` | | feature | `feature:read` OR `feature:write` OR `feature:all` | | product | `product:read` OR `product:write` OR `product:all` |
List Parts GET
Lists a collection of [parts](https://devrev.ai/docs/product/parts). **Required scopes:** Depends on the object type in the `id` field: | type | required scope | |---|---| | capability | `capability:read` OR `capability:write` OR `capability:all` | | enhancement | `enhancement:read` OR `enhancement:write` OR `enhancement:all` | | feature | `feature:read` OR `feature:write` OR `feature:all` | | product | `product:read` OR `product:write` OR `product:all` |